function Garroshify(portrait)
	if portrait:IsShown() then
		portrait:SetTexture("Interface\\AddOns\\Garroshifier\\Garrosh");
	end
end

GarroshEventFrame = CreateFrame("Frame", "GarroshEventFrame", UIParent);
GarroshEventFrame:RegisterEvent("UNIT_PORTRAIT_UPDATE");
GarroshEventFrame:RegisterEvent("PLAYER_TARGET_CHANGED");
GarroshEventFrame:RegisterEvent("PLAYER_FOCUS_CHANGED");
GarroshEventFrame:RegisterEvent("GROUP_ROSTER_UPDATE");
GarroshEventFrame:RegisterEvent("UNIT_CONNECTION");


function GarroshEventFrame_OnEvent(self, event, arg1)
	if (event == "UNIT_PORTRAIT_UPDATE" or event == "UNIT_CONNECTION") then
		-- Portrait updates and initial load
		if (arg1 == "player" or arg1 == nil) then
			Garroshify(PlayerPortrait);
			Garroshify(TargetFramePortrait);
			Garroshify(PartyMemberFrame1Portrait);
			Garroshify(PartyMemberFrame2Portrait);
			Garroshify(PartyMemberFrame3Portrait);
			Garroshify(PartyMemberFrame4Portrait);

			MicroButtonPortrait:SetTexture("Interface\\AddOns\\Garroshifier\\Garroshsq");

		elseif(arg1 == "target") then Garroshify(TargetFramePortrait);
		elseif(arg1 == "party1") then Garroshify(PartyMemberFrame1Portrait);
		elseif(arg1 == "party2") then Garroshify(PartyMemberFrame2Portrait);
		elseif(arg1 == "party3") then Garroshify(PartyMemberFrame3Portrait);
		elseif(arg1 == "party4") then Garroshify(PartyMemberFrame4Portrait);
		end


	elseif event == "PLAYER_TARGET_CHANGED" then Garroshify(TargetFramePortrait);
	elseif event == "PLAYER_FOCUS_CHANGED" then Garroshify(FocusFramePortrait);
	elseif event == "GROUP_ROSTER_UPDATE" then 
		Garroshify(PartyMemberFrame1Portrait);
		Garroshify(PartyMemberFrame2Portrait);
		Garroshify(PartyMemberFrame3Portrait);
		Garroshify(PartyMemberFrame4Portrait);
	end

end

GarroshEventFrame:SetScript("OnEvent", GarroshEventFrame_OnEvent);